﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Core.Layers;
using System.Drawing;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        CreateAxis();

        UltraChart1.DataSource = GetData();
        UltraChart1.DataBind();


      


    }

    private void CreateAxis()
    {
        //create chart area
        ChartArea area = new ChartArea();
        area.Visible = true;
        area.Key = "customArea";
        area.BoundsMeasureType = Infragistics.UltraChart.Shared.Styles.MeasureType.Pixels;


        for (int i = 0; i < 2; i++)
        {
            //create Axis Item basic
            AxisItem item = new AxisItem();
          
            item.OrientationType = Infragistics.UltraChart.Shared.Styles.AxisNumber.Y2_Axis;
            item.DataType = Infragistics.UltraChart.Shared.Styles.AxisDataType.Numeric;
            item.LineEndCapStyle = Infragistics.UltraChart.Shared.Styles.LineCapStyle.NoAnchor;

            switch (i)
            {
                case 0: item.LineColor = System.Drawing.Color.Red; item.Extent = 100; item.RangeMax = 300; item.RangeMin = 0; item.OrientationType = Infragistics.UltraChart.Shared.Styles.AxisNumber.Y_Axis; break;
                case 1: item.LineColor = System.Drawing.Color.Violet; item.Extent = 75; item.RangeMax = 250; item.RangeMin = 1;    item.OrientationType = Infragistics.UltraChart.Shared.Styles.AxisNumber.Y2_Axis; break;
                //case 2: item.LineColor = System.Drawing.Color.Green; item.Extent = 50; item.RangeMax = 200; item.RangeMin = 2; item.OrientationType = Infragistics.UltraChart.Shared.Styles.AxisNumber.Y_Axis; break;
                //case 3: item.LineColor = System.Drawing.Color.Blue; item.Extent = 25; item.RangeMax = 150; item.RangeMin = 3; item.OrientationType = Infragistics.UltraChart.Shared.Styles.AxisNumber.Y2_Axis; break;
                default: item.LineColor = System.Drawing.Color.Violet;
                    break;
            }
            //item.LineColor = System.Drawing.Color.Red;



            item.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom;
            item.Key = "axis"+ i;
            item.TickmarkInterval = 20;
            item.LineThickness = 1;

            //item.Extent = 100;

            item.LogBase = 10;
            item.SetLabelAxisType = SetLabelAxisType.GroupBySeries;
            //item.RangeMin = 0;
            //item.RangeMax = 300;

            item.TickmarkStyle = Infragistics.UltraChart.Shared.Styles.AxisTickStyle.Smart;
            item.TickmarkPercentage = 10;
            item.NumericAxisType = Infragistics.UltraChart.Shared.Styles.NumericAxisType.Linear;

            //StripLines 
            item.StripLines.Interval = 2;
            item.StripLines.Visible = false;
            item.StripLines.PE.Stroke = System.Drawing.Color.Black;
            item.StripLines.PE.Fill = System.Drawing.Color.Transparent;
            item.StripLines.PE.StrokeWidth = 1;
            item.StripLines.PE.ImageWrapMode = System.Drawing.Drawing2D.WrapMode.Tile;

            //ScrollScale
            item.ScrollScale.Scale = 1;
            item.ScrollScale.Scroll = 0;
            item.ScrollScale.Height = 10;
            item.ScrollScale.Width = 15;

            //Grid lines

            item.MinorGridLines.AlphaLevel = 255;
            item.MinorGridLines.DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle.Dot;
            item.MinorGridLines.Color = System.Drawing.Color.LightGray;
            item.MinorGridLines.Visible = false;
            item.MinorGridLines.Thickness = 1;

            item.MajorGridLines.AlphaLevel = 255;
            item.MajorGridLines.DrawStyle = Infragistics.UltraChart.Shared.Styles.LineDrawStyle.Dot;
            item.MajorGridLines.Color = System.Drawing.Color.LightGray;
            item.MajorGridLines.Visible = true;
            item.MajorGridLines.Thickness = 1;


            //Labels

            item.Labels.ItemFormatString = "&lt;DATA_VALUE:00.##&gt;";
            item.Labels.VerticalAlign = System.Drawing.StringAlignment.Center;
            item.Labels.ClipText = true;
            item.Labels.ItemFormat = Infragistics.UltraChart.Shared.Styles.AxisItemLabelFormat.DataValue;
            item.Labels.FontColor = Color.Black;
            item.Labels.Visible = true;
            item.Labels.Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation.Horizontal;
            item.Labels.HorizontalAlign = StringAlignment.Near;

            //Series labels
            item.Labels.SeriesLabels.Visible = true;
            item.Labels.SeriesLabels.HorizontalAlign = StringAlignment.Near;
            item.Labels.SeriesLabels.ClipText = true;
            item.Labels.SeriesLabels.FormatString = "&lt;SERIES_LABEL&gt;";
            item.Labels.SeriesLabels.Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation.Horizontal;
            item.Labels.SeriesLabels.VerticalAlign = StringAlignment.Center;

            //TimeAxisStyle
            item.TimeAxisStyle.TimeAxisStyle = Infragistics.UltraChart.Shared.Styles.RulerGenre.Continuous;

            //Finally add the item
          
            area.Axes.Add(item);

        }


        // and add the area to the chart

        UltraChart1.CompositeChart.ChartAreas.Add(area);
    }



    private DataTable GetData()
    {
        DataTable mydata = new DataTable();
        // Define the columns and their names
       

        return mydata;
    }

}